'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

exports.default = normalizeFallback;

var _loaderUtils = require('loader-utils');

var _loaderUtils2 = _interopRequireDefault(_loaderUtils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function normalizeFallback(fallback, originalOptions) {
  var loader = 'file-loader';
  var options = {};

  if (typeof fallback === 'string') {
    loader = fallback;

    var index = fallback.indexOf('?');

    if (index >= 0) {
      loader = fallback.substr(0, index);
      options = _loaderUtils2.default.parseQuery(fallback.substr(index));
    }
  }

  if (fallback !== null && (typeof fallback === 'undefined' ? 'undefined' : _typeof(fallback)) === 'object') {
    loader = fallback.loader;
    options = fallback.options;
  }

  options = Object.assign({}, originalOptions, options);

  delete options.fallback;

  return { loader: loader, options: options };
}